# 
# Bash source file for percent computing
#
# (C) 2011-2012 Felix Hauri - felix@f-hauri.ch
# Licensed under terms of LGPL v3. www.gnu.org

# after sourcing script:
# syntaxe: prct <amount> <total>

prct() {
    _dc_pr100k=$((${1}00000/$2));
    if [ ${#_dc_pr100k} -gt 3 ];then
	_dc_out=${_dc_pr100k:0:${#_dc_pr100k}-3}.${_dc_pr100k:${#_dc_pr100k}-3}
    else
	_dc_out=$(printf ".%03d" $_dc_pr100k)
    fi
    printf "%.2f%%\n" $_dc_out
    unset _dc_pr100k _dc_out
}

export -f prct
